#ifndef STOCKDLG_HPP
#define STOCKDLG_HPP
#include <stdio.h>
#include <stdlib.h>
#include <fstream.h>

#include <SOMCORBA.H>    // Required SOM definitions

#include <iapp.hpp>      // The basics
#include <iframe.hpp>    // IFrameWindow
#include <icmdhdr.hpp>   // ICommandHandler
#include <ientryfd.hpp>  // IEntryField
#include <istring.hpp>   // IString
#include <icombobx.hpp>  // IComboBox

class ChartFile;  // ChFile.xih is included in StockDlg.cpp

//**********************************************************
// Stock Settings Page Dialog
//**********************************************************
class StockDlg : public IFrameWindow
               , public ICommandHandler
{
  public:
   ~StockDlg();
    StockDlg (ChartFile *PChartFile,
              const IWindowHandle& Hwnd);

  private:
    IEntryField  stockSymbol,
                 lastMonth,
                 lastDay,
                 lastYear;
    IComboBox    exchange;

    ChartFile   *pChartFile;   // WPS object
    Environment *pSomEnv;      // SOM environment

 // virtual function overrides

    Boolean command(ICommandEvent& cmdevt);
    Boolean dispatchHandlerEvent(IEvent& evt);

 // custom functions

    void saveState();
    void restoreState();
};
#endif
